/***************************************************************************************
 *	File :	  types.h
 *	Company : PDADevelopers.com
 *	Author :  Diego Belfer 
 *	Last Revision : 28/09/2003 (dd/mm/yyyy)
 *	Comments : Common types and functions definitions 
 ***************************************************************************************/

#ifndef _INC_types
#define _INC_types

#ifdef __MC68K__
	#include <PalmOS.h>
	#define strlen(x) 		StrLen(x)
	#define memcpy(x,y,n)	MemMove(x,y,n)
	#define strcpy(x,y)		StrCopy(x,y)
	//#define strncpy(x,y,n)	StrNCopy(x,y,n)
	#define strchr(x,y)		StrChr(x,y)
	#define strcmp(x,y)		StrCompare(x,y)

	//Modified SLM: There is a bug in OS5 with strings larger than 32K
	//#define strncmp(x,y,n)	StrNCompare(x,y,n)
	#define strncmp(x,y,n)	TxtCompare(x,n,NULL,y,n,NULL)

	//#define strncat(x,y,n)	StrNCat(x,y,n)
	#define memset(x,y,n)	(!MemSet(x,n,y) ? x : NULL)
	#define sprintf			StrPrintF
	#define malloc(x)		MemPtrNew(x)
	#define free(x)			MemPtrFree(x)
#else
	#include <stdlib.h>
	#include <stdio.h>
	#include <string.h>
	#define  BOOL			unsigned int
#endif

#ifndef TRUE
	#define TRUE	1
	#define FALSE	0
#endif

typedef unsigned short	ushort;
typedef unsigned long	ulong;
typedef unsigned int	uint;

#endif