/***************************************************************************************
 *	File :	  editcpp.cpp
 *	Company : PDADevelopers.com
 *	Author :  Diego Belfer 
 *	Last Revision : 28/09/2003 (dd/mm/yyyy)
 *	Comments : Builds a simple XML document using CPP wrapper
 ***************************************************************************************/
#include "cxml.h"
#include "common.h"


void editCPP() {
	char *buffer = sampleBuffer;

	CXMLParser h;
	CXMLNode root;
	if ( !(root = h.createRoot()).isNull()  ) {
		root.appendChild( h.createProcessingInstruction() );
		root.appendChild(h.createComment("Clients recordset example"));
		CXMLNode rows = h.createElement( "rows" );
		root.appendChild( rows );
		rows.appendAttribute( h.createAttribute("recordset","clients") );

		for (int i = 0; i < dataCount; i++) {
			CXMLNode record	= h.createElement( "record" );
			CXMLNode address = h.createElement( "address" );
			CXMLNode name	= h.createElement( "name" );
			CXMLNode company = h.createElement( "company" );
			CXMLNode info    = h.createElement( "info" );
			CXMLNode street  = h.createElement( "street" );
			CXMLNode zipcode = h.createElement( "zipcode" );

			rows.appendChild(record);
			record.appendChild(name);
			record.appendChild(company);
			record.appendChild(address);
			record.appendChild(info);
			address.appendChild(street);
			address.appendChild(zipcode);

			record.appendAttribute( h.createAttribute(  "id",data[i].id ) );

			name.appendChild   ( h.createTextNode( data[i].name ) );
			company.appendChild( h.createTextNode( data[i].company ) );
			info.appendChild( h.createCDATASection( data[i].info ) );
			street.appendChild ( h.createTextNode( data[i].address.street ) );
			zipcode.appendChild( h.createTextNode( data[i].address.zip ) );
		}
		oprintln("----------------------------------");
		oprintln("*   XML builded by editcpp.cpp   *");
		oprintln("----------------------------------");
		h.toXML(buffer, SAMPLE_BUFFER_SIZE);
		oprintln(buffer);
	}

}