/***************************************************************************************
 *	File :	  parseapi.cpp
 *	Company : PDADevelopers.com
 *	Author :  Diego Belfer 
 *	Last Revision : 28/09/2003 (dd/mm/yyyy)
 *	Comments : Simple parse of XML string without CPP Wrapper
 ***************************************************************************************/

#include "ixml.h"
#include "common.h"


void parseAPI(char *source) {
	char valueTemp[512];
	uint valueTempSize = 511;

	HXML h = xml_create();
	if (xml_processDocument(h, source)) {
		
		oprintln("-------------------------------");
		oprintln("*        Parsing XML          *");
		//oprintln(xml_getDocument(h));
		oprintln("-------------------------------");

		XMLNode rows = xml_getElementsByTagName(xml_getRoot(h),"rows");
		if (rows) {
			oprint("Recordset : ");
			oprintln(xml_getAttribute(rows, "recordset", valueTemp, valueTempSize));
			oprint("RecordCount : ");
			oprintln(xml_childCount(rows));
			
			XMLNode record = xml_firstChild(rows);
			while (record) {
				oprintln("------------------------------------");
				oprint("Record id : ");
				oprintln(xml_getAttribute(record, "id", valueTemp, valueTempSize));

				oprint("name : ");
				oprintln( xml_text(xml_getElementsByTagName(record, "name"), valueTemp, valueTempSize) );
				oprint("company : ");
				oprintln( xml_text(xml_getElementsByTagName(record, "company"), valueTemp, valueTempSize) );
				oprint("info : ");
				oprintln( xml_text(xml_getElementsByTagName(record, "info"), valueTemp, valueTempSize) );
				oprintln("address : ");
				XMLNode address = xml_getElementsByTagName(record, "address");
				oprint("    street : ");
				oprintln( xml_text(xml_getElementsByTagName(address, "street"), valueTemp, valueTempSize) );
				oprint("    zip : ");
				oprintln( xml_text(xml_getElementsByTagName(address, "zipcode"), valueTemp, valueTempSize) );

				record = xml_nextSibling(record);
			}
		}
	}
	else {
		oprint("ERR: ");
		oprint(xml_getErrorID(h));
		oprint(" ");
		oprintln(xml_getErrorMsg(h));
	}
	xml_release(h);
}