/***************************************************************************************
 *	File :	  parsecpp.cpp
 *	Company : PDADevelopers.com
 *	Author :  Diego Belfer 
 *	Last Revision : 28/09/2003 (dd/mm/yyyy)
 *	Comments : Simple parse of XML string using CPP Wrapper
 ***************************************************************************************/

#include "cxml.h"
#include "common.h"


void parseCPP(char *source) {
	char valueTemp[512];
	uint valueTempSize = 511;

	CXMLParser h;
	if (h.processDocument(source)) {
		oprintln("-------------------------------");
		oprintln("*         Parsing XML         *");
		//oprintln(h.getDocument());
		oprintln("-------------------------------");
		CXMLNode rows = h.getRoot().getElementsByTagName("rows").current();
		if (!rows.isNull()) {
			oprint("Recordset : ");
			oprintln(rows.getAttribute("recordset", valueTemp, valueTempSize));
			oprint("RecordCount : ");
			oprintln(rows.childCount());
			CXMLNode record = rows.firstChild();
			while (!record.isNull()) {
				oprintln("------------------------------------");
				oprint("Record id : ");
				oprintln(record.getAttribute("id", valueTemp, valueTempSize));

				oprint("name : ");
				oprintln( record.getElementsByTagName("name").current().text(valueTemp, valueTempSize) );
				oprint("company : ");
				oprintln( record.getElementsByTagName("company").current().text( valueTemp, valueTempSize) );
				oprint("info : ");
				oprintln( record.getElementsByTagName("info").current().text( valueTemp, valueTempSize) );
				oprint("address : ");
				CXMLNode address = record.getElementsByTagName("address").current();
				oprint("    street : ");
				oprintln( address.getElementsByTagName("street").current().text( valueTemp, valueTempSize) );
				oprint("    zip : ");
				oprintln( address.getElementsByTagName("zipcode").current().text( valueTemp, valueTempSize) );

				record = record.nextSibling();
			}
		}

	}
	else {
		oprint("ERR: ");
		oprint(h.getErrorID());
		oprint(" ");
		oprintln(h.getErrorMsg());
	}
}